<?php
$tdatapago_corelativo = array();
$tdatapago_corelativo[".searchableFields"] = array();
$tdatapago_corelativo[".ShortName"] = "pago_corelativo";
$tdatapago_corelativo[".OwnerID"] = "";
$tdatapago_corelativo[".OriginalTable"] = "pago_corelativo";


$tdatapago_corelativo[".pagesByType"] = my_json_decode( "{\"search\":[\"search\"]}" );
$tdatapago_corelativo[".originalPagesByType"] = $tdatapago_corelativo[".pagesByType"];
$tdatapago_corelativo[".pages"] = types2pages( my_json_decode( "{\"search\":[\"search\"]}" ) );
$tdatapago_corelativo[".originalPages"] = $tdatapago_corelativo[".pages"];
$tdatapago_corelativo[".defaultPages"] = my_json_decode( "{\"search\":\"search\"}" );
$tdatapago_corelativo[".originalDefaultPages"] = $tdatapago_corelativo[".defaultPages"];

//	field labels
$fieldLabelspago_corelativo = array();
$fieldToolTipspago_corelativo = array();
$pageTitlespago_corelativo = array();
$placeHolderspago_corelativo = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelspago_corelativo["Spanish"] = array();
	$fieldToolTipspago_corelativo["Spanish"] = array();
	$placeHolderspago_corelativo["Spanish"] = array();
	$pageTitlespago_corelativo["Spanish"] = array();
	$fieldLabelspago_corelativo["Spanish"]["id_Gestion"] = "Id Gestion";
	$fieldToolTipspago_corelativo["Spanish"]["id_Gestion"] = "";
	$placeHolderspago_corelativo["Spanish"]["id_Gestion"] = "";
	$fieldLabelspago_corelativo["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipspago_corelativo["Spanish"]["nombre"] = "";
	$placeHolderspago_corelativo["Spanish"]["nombre"] = "";
	$fieldLabelspago_corelativo["Spanish"]["Correlativo_pago"] = "Correlativo Pago";
	$fieldToolTipspago_corelativo["Spanish"]["Correlativo_pago"] = "";
	$placeHolderspago_corelativo["Spanish"]["Correlativo_pago"] = "";
	if (count($fieldToolTipspago_corelativo["Spanish"]))
		$tdatapago_corelativo[".isUseToolTips"] = true;
}


	$tdatapago_corelativo[".NCSearch"] = true;



$tdatapago_corelativo[".shortTableName"] = "pago_corelativo";
$tdatapago_corelativo[".nSecOptions"] = 0;

$tdatapago_corelativo[".mainTableOwnerID"] = "";
$tdatapago_corelativo[".entityType"] = 0;
$tdatapago_corelativo[".connId"] = "bsn_dividendos_at_localhost";


$tdatapago_corelativo[".strOriginalTableName"] = "pago_corelativo";

	



$tdatapago_corelativo[".showAddInPopup"] = false;

$tdatapago_corelativo[".showEditInPopup"] = false;

$tdatapago_corelativo[".showViewInPopup"] = false;

$tdatapago_corelativo[".listAjax"] = false;
//	temporary
//$tdatapago_corelativo[".listAjax"] = false;

	$tdatapago_corelativo[".audit"] = false;

	$tdatapago_corelativo[".locking"] = false;


$pages = $tdatapago_corelativo[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapago_corelativo[".edit"] = true;
	$tdatapago_corelativo[".afterEditAction"] = 1;
	$tdatapago_corelativo[".closePopupAfterEdit"] = 1;
	$tdatapago_corelativo[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapago_corelativo[".add"] = true;
$tdatapago_corelativo[".afterAddAction"] = 1;
$tdatapago_corelativo[".closePopupAfterAdd"] = 1;
$tdatapago_corelativo[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapago_corelativo[".list"] = true;
}



$tdatapago_corelativo[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapago_corelativo[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapago_corelativo[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapago_corelativo[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapago_corelativo[".printFriendly"] = true;
}



$tdatapago_corelativo[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapago_corelativo[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapago_corelativo[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapago_corelativo[".isUseAjaxSuggest"] = true;



																																																																								

$tdatapago_corelativo[".ajaxCodeSnippetAdded"] = false;

$tdatapago_corelativo[".buttonsAdded"] = false;

$tdatapago_corelativo[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapago_corelativo[".isUseTimeForSearch"] = false;


$tdatapago_corelativo[".badgeColor"] = "E67349";


$tdatapago_corelativo[".allSearchFields"] = array();
$tdatapago_corelativo[".filterFields"] = array();
$tdatapago_corelativo[".requiredSearchFields"] = array();

$tdatapago_corelativo[".googleLikeFields"] = array();
$tdatapago_corelativo[".googleLikeFields"][] = "id_Gestion";
$tdatapago_corelativo[".googleLikeFields"][] = "nombre";
$tdatapago_corelativo[".googleLikeFields"][] = "Correlativo_pago";



$tdatapago_corelativo[".tableType"] = "list";

$tdatapago_corelativo[".printerPageOrientation"] = 0;
$tdatapago_corelativo[".nPrinterPageScale"] = 100;

$tdatapago_corelativo[".nPrinterSplitRecords"] = 40;

$tdatapago_corelativo[".geocodingEnabled"] = false;










$tdatapago_corelativo[".pageSize"] = 20;

$tdatapago_corelativo[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatapago_corelativo[".strOrderBy"] = $tstrOrderBy;

$tdatapago_corelativo[".orderindexes"] = array();


$tdatapago_corelativo[".sqlHead"] = "SELECT id_Gestion,  	nombre,  	Correlativo_pago";
$tdatapago_corelativo[".sqlFrom"] = "FROM pago_corelativo";
$tdatapago_corelativo[".sqlWhereExpr"] = "";
$tdatapago_corelativo[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapago_corelativo[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapago_corelativo[".arrGroupsPerPage"] = $arrGPP;

$tdatapago_corelativo[".highlightSearchResults"] = true;

$tableKeyspago_corelativo = array();
$tdatapago_corelativo[".Keys"] = $tableKeyspago_corelativo;


$tdatapago_corelativo[".hideMobileList"] = array();




//	id_Gestion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_Gestion";
	$fdata["GoodName"] = "id_Gestion";
	$fdata["ownerTable"] = "pago_corelativo";
	$fdata["Label"] = GetFieldLabel("pago_corelativo","id_Gestion");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_Gestion";

		$fdata["sourceSingle"] = "id_Gestion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_Gestion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapago_corelativo["id_Gestion"] = $fdata;
		$tdatapago_corelativo[".searchableFields"][] = "id_Gestion";
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "pago_corelativo";
	$fdata["Label"] = GetFieldLabel("pago_corelativo","nombre");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

		$fdata["sourceSingle"] = "nombre";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapago_corelativo["nombre"] = $fdata;
		$tdatapago_corelativo[".searchableFields"][] = "nombre";
//	Correlativo_pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Correlativo_pago";
	$fdata["GoodName"] = "Correlativo_pago";
	$fdata["ownerTable"] = "pago_corelativo";
	$fdata["Label"] = GetFieldLabel("pago_corelativo","Correlativo_pago");
	$fdata["FieldType"] = 20;


	
	
			

		$fdata["strField"] = "Correlativo_pago";

		$fdata["sourceSingle"] = "Correlativo_pago";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Correlativo_pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapago_corelativo["Correlativo_pago"] = $fdata;
		$tdatapago_corelativo[".searchableFields"][] = "Correlativo_pago";


$tables_data["pago_corelativo"]=&$tdatapago_corelativo;
$field_labels["pago_corelativo"] = &$fieldLabelspago_corelativo;
$fieldToolTips["pago_corelativo"] = &$fieldToolTipspago_corelativo;
$placeHolders["pago_corelativo"] = &$placeHolderspago_corelativo;
$page_titles["pago_corelativo"] = &$pageTitlespago_corelativo;


changeTextControlsToDate( "pago_corelativo" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["pago_corelativo"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["pago_corelativo"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_pago_corelativo()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id_Gestion,  	nombre,  	Correlativo_pago";
$proto0["m_strFrom"] = "FROM pago_corelativo";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
				;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Gestion",
	"m_strTable" => "pago_corelativo",
	"m_srcTableName" => "pago_corelativo"
));

$proto6["m_sql"] = "id_Gestion";
$proto6["m_srcTableName"] = "pago_corelativo";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "pago_corelativo",
	"m_srcTableName" => "pago_corelativo"
));

$proto8["m_sql"] = "nombre";
$proto8["m_srcTableName"] = "pago_corelativo";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Correlativo_pago",
	"m_strTable" => "pago_corelativo",
	"m_srcTableName" => "pago_corelativo"
));

$proto10["m_sql"] = "Correlativo_pago";
$proto10["m_srcTableName"] = "pago_corelativo";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "pago_corelativo";
$proto13["m_srcTableName"] = "pago_corelativo";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "id_Gestion";
$proto13["m_columns"][] = "nombre";
$proto13["m_columns"][] = "Correlativo_pago";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "pago_corelativo";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "pago_corelativo";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="pago_corelativo";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_pago_corelativo = createSqlQuery_pago_corelativo();


	
				;

			

$tdatapago_corelativo[".sqlquery"] = $queryData_pago_corelativo;



$tdatapago_corelativo[".hasEvents"] = false;

?>